External Verification (eKYC)

This endpoint verifies phone, email, address, date of birth and tax numbers, specifically social security number (ssn).
When making a request use "kyc" in the plugins array. To have the API return specific risk scores for phone, email, ssn (taxId)
and address, see examples below.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Notes:

  • For country or source specific API documentation, please see here.
  • Please verify that all mandatory fields as per the documentation linked above are provided in the API request.
Body Params

Note: When fields are provided they will override field values derived from a document scan.

Examples

Check address:

{
    "plugins": ["kyc"],
    "firstName": "Jon",
    "surName": "Hasselhoff",
    "street": "101 Beach Highway",
    "postalCode": "90210",
    "state": "CA",
    "city": "Beverly Hills",
    "countryCode": "US"
}

Check email:

{
    "plugins": ["kyc"],
    "firstName": "Jon",
    "surName": "Hasselhoff",
    "email": "[email protected]"
}

Check phone:

{
    "plugins": ["kyc"],
    "firstName": "Jon",
    "surName": "Hasselhoff",
    "phone": "+16504463444"
    "street": "101 Beach Highway",
    "postalCode": "90210",
    "state": "CA",
    "city": "Beverly Hills",
    "countryCode": "US"
}

Check SSN (taxId):

{
    "plugins": ["kyc"],
    "firstName": "Jon",
    "surName": "Hasselhoff",
    "street": "101 Beach Highway",
    "postalCode": "90210",
    "state": "CA",
    "city": "Beverly Hills",
    "countryCode": "US",
    "taxId": "123456789",
    "dateOfBirth": "1980-06-01"
}

Full eKYC check:

{
    "plugins": ["kyc"],
    "firstName": "Jon",
    "middleName": "Michael",
    "surName": "Hasselhoff",
    "street": "101 Beach Highway",
    "postalCode": "90210",
    "state": "CA",
    "city": "Beverly Hills",
    "countryCode": "US",
    "phone": "+16504463444",
    "email": "[email protected]"
    "taxId": "123456789",
    "dateOfBirth": "1980-06-01"
}
plugins
array of strings
plugins
Allowed:
string

The following special characters are not supported: ^±!@£$%&*_+¡€#¢§¶•ªº«<>?\/:;|=

string

The following special characters are not supported: ^±!@£$%&*_+¡€#¢§¶•ªº«<>?\/:;|=

string

The following special characters are not supported: ^±!@£$%&*_+¡€#¢§¶•ªº«<>?\/:;|=

string

The following special characters are not supported: ^±!@£$%&*_+¡€#¢§¶•ªº«<>?\/:;|=

string
string
string
string
string
string
string

ISO 3166-1 alpha-2 format

string

Use E.164 format. Hyphens are optional

string
string
string
string
string
string
string
string
string
string

Indian Permanent Account Number (PAN), format: AAAAANNNNA

string

District or Barangay (neighbourhood), used for Philippines KYC

string

National ID type. Supported for Philippines KYC: SSS, TIN, GSIS

Headers
string
required
Defaults to 1.0
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json